EXIT_GROUP(2)

NOM
exit_group - Sortir de tous les threads d'un processus

SYNOPSIS
#include <linux/unistd.h>

void exit_group(int status);

DESCRIPTION
Cet appel système est équivalent à This system call is equivalent to exit(2) excepté qu'il ne termine pas seulement le présent thread, mais tous les threads du groupe de threads du processus appelant.

VALEUR RENVOYÉE
Cet appel système ne renvoie rien.

VERSIONS
Cet appel est présent depuis Linux 2.5.35.

CONFORMITÉ
Cet appel est spécifique à Linux.

VOIR AUSSI
exit(2)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 12 mai 2006 et révisée le 10 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 2 exit_group ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.